---
sidebar_position: 1
---

# Getting Started with Comty.JS
[https://github.com/ragestudio/comty.js](https://github.com/ragestudio/comty.js)

Welcome to Comty.JS, the official JavaScript library for interacting with the Comty API! This library is designed to simplify communication with Comty services, whether you're building a server-side application or a client-side interface.

## What is Comty.JS?

Comty.JS provides a convenient wrapper around the Comty API, handling authentication, request management, real-time communication via WebSockets, and more. It aims to make your development process smoother and more efficient by abstracting away the complexities of direct API interaction.

**Key Features:**

- **Simplified API Access:** Easy-to-use models for various Comty services like Authentication, Posts, User Management, Music, Chats, and more.
- **Authentication Handling:** Built-in support for server keys and user token-based authentication, including automatic token refresh.
- **WebSocket Integration:** Seamlessly connect to Comty's real-time services.
- **Addon System:** Extend the library's functionality with custom addons.
- **Environment Aware:** Works in both Node.js (server-side) and browser (client-side) environments.
- **Request Management:** Uses `axios` for HTTP requests with interceptors for automatic token attachment and error handling.

## Who is this for?

This library is for developers who want to:

- Integrate their JavaScript or TypeScript applications with Comty.
- Build features that utilize Comty's social, music, or other platform functionalities.
- Quickly set up communication with the Comty API without dealing with raw HTTP requests and WebSocket management.

## Next Steps

1.  **[Installing Comty.JS](./installing.md)**: Learn how to add the library to your project.
2.  **[Client Initialization](./client-initialization.md)**: Understand how to set up and configure the Comty.JS client.
3.  **[Authentication](./authentication.md)**: Dive into how authentication works with Comty.JS.

We're excited to see what you build with Comty.JS!
